using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Unity.Networking.Transport;

namespace KairoEngine.Multiplayer
{
    public class NetHandshakeMsg : NetMsg
    {
        public string playerName = "";
        public NetHandshakeMsg()
        {
            code = NetOpCode.Handshake;
        }

        public override void Serialize(ref DataStreamWriter writer)
        {
            writer.WriteByte((byte)code);
            writer.WriteFixedString64(playerName);
        }

        public override void Deserialize(ref DataStreamReader reader)
        {
            playerName = reader.ReadFixedString64().ToString();
        }
    }
}
